Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
5cb94cfa
Commit
5cb94cfa
authored
Mar 26, 2016
by
k8s-merge-robot
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #23302 from spxtr/unittest-1.6
Auto commit by PR queue bot
parents
25d94e80
7fb8a8e4
Hide whitespace changes
Inline
Side-by-side
Showing
12 changed files
with
239 additions
and
143 deletions
+239
-143
Godeps.json
Godeps/Godeps.json
+1
-1
bypass.go
.../_workspace/src/github.com/davecgh/go-spew/spew/bypass.go
+151
-0
bypasssafe.go
...rkspace/src/github.com/davecgh/go-spew/spew/bypasssafe.go
+37
-0
common.go
.../_workspace/src/github.com/davecgh/go-spew/spew/common.go
+13
-122
config.go
.../_workspace/src/github.com/davecgh/go-spew/spew/config.go
+4
-1
dump.go
...ps/_workspace/src/github.com/davecgh/go-spew/spew/dump.go
+17
-14
gotest-dockerized.sh
hack/jenkins/gotest-dockerized.sh
+1
-1
Dockerfile
hack/jenkins/test-image/Dockerfile
+1
-1
Makefile
hack/jenkins/test-image/Makefile
+1
-1
verify-godeps.sh
hack/verify-godeps.sh
+3
-0
http_test.go
pkg/probe/http/http_test.go
+4
-1
tcp_test.go
pkg/probe/tcp/tcp_test.go
+6
-1
No files found.
Godeps/Godeps.json
View file @
5cb94cfa
...
@@ -381,7 +381,7 @@
...
@@ -381,7 +381,7 @@
},
},
{
{
"ImportPath"
:
"github.com/davecgh/go-spew/spew"
,
"ImportPath"
:
"github.com/davecgh/go-spew/spew"
,
"Rev"
:
"
3e6e67c4dcea3ac2f25fd4731abc0e1deaf36216
"
"Rev"
:
"
5215b55f46b2b919f50a1df0eaa5886afe4e3b3d
"
},
},
{
{
"ImportPath"
:
"github.com/daviddengcn/go-colortext"
,
"ImportPath"
:
"github.com/daviddengcn/go-colortext"
,
...
...
Godeps/_workspace/src/github.com/davecgh/go-spew/spew/bypass.go
0 → 100644
View file @
5cb94cfa
// Copyright (c) 2015 Dave Collins <dave@davec.name>
//
// Permission to use, copy, modify, and distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
//
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
// ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
// OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
// NOTE: Due to the following build constraints, this file will only be compiled
// when the code is not running on Google App Engine and "-tags disableunsafe"
// is not added to the go build command line.
// +build !appengine,!disableunsafe
package
spew
import
(
"reflect"
"unsafe"
)
const
(
// UnsafeDisabled is a build-time constant which specifies whether or
// not access to the unsafe package is available.
UnsafeDisabled
=
false
// ptrSize is the size of a pointer on the current arch.
ptrSize
=
unsafe
.
Sizeof
((
*
byte
)(
nil
))
)
var
(
// offsetPtr, offsetScalar, and offsetFlag are the offsets for the
// internal reflect.Value fields. These values are valid before golang
// commit ecccf07e7f9d which changed the format. The are also valid
// after commit 82f48826c6c7 which changed the format again to mirror
// the original format. Code in the init function updates these offsets
// as necessary.
offsetPtr
=
uintptr
(
ptrSize
)
offsetScalar
=
uintptr
(
0
)
offsetFlag
=
uintptr
(
ptrSize
*
2
)
// flagKindWidth and flagKindShift indicate various bits that the
// reflect package uses internally to track kind information.
//
// flagRO indicates whether or not the value field of a reflect.Value is
// read-only.
//
// flagIndir indicates whether the value field of a reflect.Value is
// the actual data or a pointer to the data.
//
// These values are valid before golang commit 90a7c3c86944 which
// changed their positions. Code in the init function updates these
// flags as necessary.
flagKindWidth
=
uintptr
(
5
)
flagKindShift
=
uintptr
(
flagKindWidth
-
1
)
flagRO
=
uintptr
(
1
<<
0
)
flagIndir
=
uintptr
(
1
<<
1
)
)
func
init
()
{
// Older versions of reflect.Value stored small integers directly in the
// ptr field (which is named val in the older versions). Versions
// between commits ecccf07e7f9d and 82f48826c6c7 added a new field named
// scalar for this purpose which unfortunately came before the flag
// field, so the offset of the flag field is different for those
// versions.
//
// This code constructs a new reflect.Value from a known small integer
// and checks if the size of the reflect.Value struct indicates it has
// the scalar field. When it does, the offsets are updated accordingly.
vv
:=
reflect
.
ValueOf
(
0xf00
)
if
unsafe
.
Sizeof
(
vv
)
==
(
ptrSize
*
4
)
{
offsetScalar
=
ptrSize
*
2
offsetFlag
=
ptrSize
*
3
}
// Commit 90a7c3c86944 changed the flag positions such that the low
// order bits are the kind. This code extracts the kind from the flags
// field and ensures it's the correct type. When it's not, the flag
// order has been changed to the newer format, so the flags are updated
// accordingly.
upf
:=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
vv
))
+
offsetFlag
)
upfv
:=
*
(
*
uintptr
)(
upf
)
flagKindMask
:=
uintptr
((
1
<<
flagKindWidth
-
1
)
<<
flagKindShift
)
if
(
upfv
&
flagKindMask
)
>>
flagKindShift
!=
uintptr
(
reflect
.
Int
)
{
flagKindShift
=
0
flagRO
=
1
<<
5
flagIndir
=
1
<<
6
// Commit adf9b30e5594 modified the flags to separate the
// flagRO flag into two bits which specifies whether or not the
// field is embedded. This causes flagIndir to move over a bit
// and means that flagRO is the combination of either of the
// original flagRO bit and the new bit.
//
// This code detects the change by extracting what used to be
// the indirect bit to ensure it's set. When it's not, the flag
// order has been changed to the newer format, so the flags are
// updated accordingly.
if
upfv
&
flagIndir
==
0
{
flagRO
=
3
<<
5
flagIndir
=
1
<<
7
}
}
}
// unsafeReflectValue converts the passed reflect.Value into a one that bypasses
// the typical safety restrictions preventing access to unaddressable and
// unexported data. It works by digging the raw pointer to the underlying
// value out of the protected value and generating a new unprotected (unsafe)
// reflect.Value to it.
//
// This allows us to check for implementations of the Stringer and error
// interfaces to be used for pretty printing ordinarily unaddressable and
// inaccessible values such as unexported struct fields.
func
unsafeReflectValue
(
v
reflect
.
Value
)
(
rv
reflect
.
Value
)
{
indirects
:=
1
vt
:=
v
.
Type
()
upv
:=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetPtr
)
rvf
:=
*
(
*
uintptr
)(
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetFlag
))
if
rvf
&
flagIndir
!=
0
{
vt
=
reflect
.
PtrTo
(
v
.
Type
())
indirects
++
}
else
if
offsetScalar
!=
0
{
// The value is in the scalar field when it's not one of the
// reference types.
switch
vt
.
Kind
()
{
case
reflect
.
Uintptr
:
case
reflect
.
Chan
:
case
reflect
.
Func
:
case
reflect
.
Map
:
case
reflect
.
Ptr
:
case
reflect
.
UnsafePointer
:
default
:
upv
=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetScalar
)
}
}
pv
:=
reflect
.
NewAt
(
vt
,
upv
)
rv
=
pv
for
i
:=
0
;
i
<
indirects
;
i
++
{
rv
=
rv
.
Elem
()
}
return
rv
}
Godeps/_workspace/src/github.com/davecgh/go-spew/spew/bypasssafe.go
0 → 100644
View file @
5cb94cfa
// Copyright (c) 2015 Dave Collins <dave@davec.name>
//
// Permission to use, copy, modify, and distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
//
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
// ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
// OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
// NOTE: Due to the following build constraints, this file will only be compiled
// when either the code is running on Google App Engine or "-tags disableunsafe"
// is added to the go build command line.
// +build appengine disableunsafe
package
spew
import
"reflect"
const
(
// UnsafeDisabled is a build-time constant which specifies whether or
// not access to the unsafe package is available.
UnsafeDisabled
=
true
)
// unsafeReflectValue typically converts the passed reflect.Value into a one
// that bypasses the typical safety restrictions preventing access to
// unaddressable and unexported data. However, doing this relies on access to
// the unsafe package. This is a stub version which simply returns the passed
// reflect.Value when the unsafe package is not available.
func
unsafeReflectValue
(
v
reflect
.
Value
)
reflect
.
Value
{
return
v
}
Godeps/_workspace/src/github.com/davecgh/go-spew/spew/common.go
View file @
5cb94cfa
...
@@ -23,116 +23,8 @@ import (
...
@@ -23,116 +23,8 @@ import (
"reflect"
"reflect"
"sort"
"sort"
"strconv"
"strconv"
"unsafe"
)
)
const
(
// ptrSize is the size of a pointer on the current arch.
ptrSize
=
unsafe
.
Sizeof
((
*
byte
)(
nil
))
)
var
(
// offsetPtr, offsetScalar, and offsetFlag are the offsets for the
// internal reflect.Value fields. These values are valid before golang
// commit ecccf07e7f9d which changed the format. The are also valid
// after commit 82f48826c6c7 which changed the format again to mirror
// the original format. Code in the init function updates these offsets
// as necessary.
offsetPtr
=
uintptr
(
ptrSize
)
offsetScalar
=
uintptr
(
0
)
offsetFlag
=
uintptr
(
ptrSize
*
2
)
// flagKindWidth and flagKindShift indicate various bits that the
// reflect package uses internally to track kind information.
//
// flagRO indicates whether or not the value field of a reflect.Value is
// read-only.
//
// flagIndir indicates whether the value field of a reflect.Value is
// the actual data or a pointer to the data.
//
// These values are valid before golang commit 90a7c3c86944 which
// changed their positions. Code in the init function updates these
// flags as necessary.
flagKindWidth
=
uintptr
(
5
)
flagKindShift
=
uintptr
(
flagKindWidth
-
1
)
flagRO
=
uintptr
(
1
<<
0
)
flagIndir
=
uintptr
(
1
<<
1
)
)
func
init
()
{
// Older versions of reflect.Value stored small integers directly in the
// ptr field (which is named val in the older versions). Versions
// between commits ecccf07e7f9d and 82f48826c6c7 added a new field named
// scalar for this purpose which unfortunately came before the flag
// field, so the offset of the flag field is different for those
// versions.
//
// This code constructs a new reflect.Value from a known small integer
// and checks if the size of the reflect.Value struct indicates it has
// the scalar field. When it does, the offsets are updated accordingly.
vv
:=
reflect
.
ValueOf
(
0xf00
)
if
unsafe
.
Sizeof
(
vv
)
==
(
ptrSize
*
4
)
{
offsetScalar
=
ptrSize
*
2
offsetFlag
=
ptrSize
*
3
}
// Commit 90a7c3c86944 changed the flag positions such that the low
// order bits are the kind. This code extracts the kind from the flags
// field and ensures it's the correct type. When it's not, the flag
// order has been changed to the newer format, so the flags are updated
// accordingly.
upf
:=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
vv
))
+
offsetFlag
)
upfv
:=
*
(
*
uintptr
)(
upf
)
flagKindMask
:=
uintptr
((
1
<<
flagKindWidth
-
1
)
<<
flagKindShift
)
if
(
upfv
&
flagKindMask
)
>>
flagKindShift
!=
uintptr
(
reflect
.
Int
)
{
flagKindShift
=
0
flagRO
=
1
<<
5
flagIndir
=
1
<<
6
}
}
// unsafeReflectValue converts the passed reflect.Value into a one that bypasses
// the typical safety restrictions preventing access to unaddressable and
// unexported data. It works by digging the raw pointer to the underlying
// value out of the protected value and generating a new unprotected (unsafe)
// reflect.Value to it.
//
// This allows us to check for implementations of the Stringer and error
// interfaces to be used for pretty printing ordinarily unaddressable and
// inaccessible values such as unexported struct fields.
func
unsafeReflectValue
(
v
reflect
.
Value
)
(
rv
reflect
.
Value
)
{
indirects
:=
1
vt
:=
v
.
Type
()
upv
:=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetPtr
)
rvf
:=
*
(
*
uintptr
)(
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetFlag
))
if
rvf
&
flagIndir
!=
0
{
vt
=
reflect
.
PtrTo
(
v
.
Type
())
indirects
++
}
else
if
offsetScalar
!=
0
{
// The value is in the scalar field when it's not one of the
// reference types.
switch
vt
.
Kind
()
{
case
reflect
.
Uintptr
:
case
reflect
.
Chan
:
case
reflect
.
Func
:
case
reflect
.
Map
:
case
reflect
.
Ptr
:
case
reflect
.
UnsafePointer
:
default
:
upv
=
unsafe
.
Pointer
(
uintptr
(
unsafe
.
Pointer
(
&
v
))
+
offsetScalar
)
}
}
pv
:=
reflect
.
NewAt
(
vt
,
upv
)
rv
=
pv
for
i
:=
0
;
i
<
indirects
;
i
++
{
rv
=
rv
.
Elem
()
}
return
rv
}
// Some constants in the form of bytes to avoid string overhead. This mirrors
// Some constants in the form of bytes to avoid string overhead. This mirrors
// the technique used in the fmt package.
// the technique used in the fmt package.
var
(
var
(
...
@@ -194,9 +86,14 @@ func handleMethods(cs *ConfigState, w io.Writer, v reflect.Value) (handled bool)
...
@@ -194,9 +86,14 @@ func handleMethods(cs *ConfigState, w io.Writer, v reflect.Value) (handled bool)
// We need an interface to check if the type implements the error or
// We need an interface to check if the type implements the error or
// Stringer interface. However, the reflect package won't give us an
// Stringer interface. However, the reflect package won't give us an
// interface on certain things like unexported struct fields in order
// interface on certain things like unexported struct fields in order
// to enforce visibility rules. We use unsafe to bypass these restrictions
// to enforce visibility rules. We use unsafe, when it's available,
// since this package does not mutate the values.
// to bypass these restrictions since this package does not mutate the
// values.
if
!
v
.
CanInterface
()
{
if
!
v
.
CanInterface
()
{
if
UnsafeDisabled
{
return
false
}
v
=
unsafeReflectValue
(
v
)
v
=
unsafeReflectValue
(
v
)
}
}
...
@@ -206,21 +103,15 @@ func handleMethods(cs *ConfigState, w io.Writer, v reflect.Value) (handled bool)
...
@@ -206,21 +103,15 @@ func handleMethods(cs *ConfigState, w io.Writer, v reflect.Value) (handled bool)
// mutate the value, however, types which choose to satisify an error or
// mutate the value, however, types which choose to satisify an error or
// Stringer interface with a pointer receiver should not be mutating their
// Stringer interface with a pointer receiver should not be mutating their
// state inside these interface methods.
// state inside these interface methods.
var
viface
interface
{}
if
!
cs
.
DisablePointerMethods
&&
!
UnsafeDisabled
&&
!
v
.
CanAddr
()
{
if
!
cs
.
DisablePointerMethods
{
v
=
unsafeReflectValue
(
v
)
if
!
v
.
CanAddr
()
{
}
v
=
unsafeReflectValue
(
v
)
if
v
.
CanAddr
()
{
}
v
=
v
.
Addr
()
viface
=
v
.
Addr
()
.
Interface
()
}
else
{
if
v
.
CanAddr
()
{
v
=
v
.
Addr
()
}
viface
=
v
.
Interface
()
}
}
// Is it an error or Stringer?
// Is it an error or Stringer?
switch
iface
:=
v
iface
.
(
type
)
{
switch
iface
:=
v
.
Interface
()
.
(
type
)
{
case
error
:
case
error
:
defer
catchPanic
(
w
,
v
)
defer
catchPanic
(
w
,
v
)
if
cs
.
ContinueOnMethod
{
if
cs
.
ContinueOnMethod
{
...
...
Godeps/_workspace/src/github.com/davecgh/go-spew/spew/config.go
View file @
5cb94cfa
...
@@ -61,7 +61,10 @@ type ConfigState struct {
...
@@ -61,7 +61,10 @@ type ConfigState struct {
// with a pointer receiver could technically mutate the value, however,
// with a pointer receiver could technically mutate the value, however,
// in practice, types which choose to satisify an error or Stringer
// in practice, types which choose to satisify an error or Stringer
// interface with a pointer receiver should not be mutating their state
// interface with a pointer receiver should not be mutating their state
// inside these interface methods.
// inside these interface methods. As a result, this option relies on
// access to the unsafe package, so it will not have any effect when
// running in environments without access to the unsafe package such as
// Google App Engine or with the "disableunsafe" build tag specified.
DisablePointerMethods
bool
DisablePointerMethods
bool
// ContinueOnMethod specifies whether or not recursion should continue once
// ContinueOnMethod specifies whether or not recursion should continue once
...
...
Godeps/_workspace/src/github.com/davecgh/go-spew/spew/dump.go
View file @
5cb94cfa
...
@@ -181,25 +181,28 @@ func (d *dumpState) dumpSlice(v reflect.Value) {
...
@@ -181,25 +181,28 @@ func (d *dumpState) dumpSlice(v reflect.Value) {
// Try to use existing uint8 slices and fall back to converting
// Try to use existing uint8 slices and fall back to converting
// and copying if that fails.
// and copying if that fails.
case
vt
.
Kind
()
==
reflect
.
Uint8
:
case
vt
.
Kind
()
==
reflect
.
Uint8
:
// We need an addressable interface to convert the type back
// We need an addressable interface to convert the type
// into a byte slice. However, the reflect package won't give
// to a byte slice. However, the reflect package won't
// us an interface on certain things like unexported struct
// give us an interface on certain things like
// fields in order to enforce visibility rules. We use unsafe
// unexported struct fields in order to enforce
// to bypass these restrictions since this package does not
// visibility rules. We use unsafe, when available, to
// bypass these restrictions since this package does not
// mutate the values.
// mutate the values.
vs
:=
v
vs
:=
v
if
!
vs
.
CanInterface
()
||
!
vs
.
CanAddr
()
{
if
!
vs
.
CanInterface
()
||
!
vs
.
CanAddr
()
{
vs
=
unsafeReflectValue
(
vs
)
vs
=
unsafeReflectValue
(
vs
)
}
}
vs
=
vs
.
Slice
(
0
,
numEntries
)
if
!
UnsafeDisabled
{
vs
=
vs
.
Slice
(
0
,
numEntries
)
// Use the existing uint8 slice if it can be type
// asserted.
// Use the existing uint8 slice if it can be
iface
:=
vs
.
Interface
()
// type asserted.
if
slice
,
ok
:=
iface
.
([]
uint8
);
ok
{
iface
:=
vs
.
Interface
()
buf
=
slice
if
slice
,
ok
:=
iface
.
([]
uint8
);
ok
{
doHexDump
=
true
buf
=
slice
break
doHexDump
=
true
break
}
}
}
// The underlying data needs to be converted if it can't
// The underlying data needs to be converted if it can't
...
...
hack/jenkins/gotest-dockerized.sh
View file @
5cb94cfa
...
@@ -42,5 +42,5 @@ docker run --rm=true \
...
@@ -42,5 +42,5 @@ docker run --rm=true \
-e
"KUBE_FORCE_VERIFY_CHECKS=
${
KUBE_FORCE_VERIFY_CHECKS
:-}
"
\
-e
"KUBE_FORCE_VERIFY_CHECKS=
${
KUBE_FORCE_VERIFY_CHECKS
:-}
"
\
-e
"KUBE_VERIFY_GIT_BRANCH=
${
KUBE_VERIFY_GIT_BRANCH
:-}
"
\
-e
"KUBE_VERIFY_GIT_BRANCH=
${
KUBE_VERIFY_GIT_BRANCH
:-}
"
\
-e
"REPO_DIR=
${
REPO_DIR
}
"
\
-e
"REPO_DIR=
${
REPO_DIR
}
"
\
-i
gcr.io/google_containers/kubekins-test:0.
8
\
-i
gcr.io/google_containers/kubekins-test:0.
9
\
bash
-c
"cd kubernetes && ./hack/jenkins/test-dockerized.sh"
bash
-c
"cd kubernetes && ./hack/jenkins/test-dockerized.sh"
hack/jenkins/test-image/Dockerfile
View file @
5cb94cfa
...
@@ -15,7 +15,7 @@
...
@@ -15,7 +15,7 @@
# This file creates a build environment for building and running kubernetes
# This file creates a build environment for building and running kubernetes
# unit and integration tests
# unit and integration tests
FROM
golang:1.
5.3
FROM
golang:1.
6
MAINTAINER
Jeff Lowdermilk <jeffml@google.com>
MAINTAINER
Jeff Lowdermilk <jeffml@google.com>
ENV
WORKSPACE /workspace
ENV
WORKSPACE /workspace
...
...
hack/jenkins/test-image/Makefile
View file @
5cb94cfa
...
@@ -14,7 +14,7 @@
...
@@ -14,7 +14,7 @@
all
:
push
all
:
push
TAG
=
0.
8
TAG
=
0.
9
container
:
container
:
docker build
-t
gcr.io/google_containers/kubekins-test .
docker build
-t
gcr.io/google_containers/kubekins-test .
...
...
hack/verify-godeps.sh
View file @
5cb94cfa
...
@@ -18,6 +18,9 @@ set -o errexit
...
@@ -18,6 +18,9 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
# As of go 1.6, the vendor experiment is enabled by default.
export
GO15VENDOREXPERIMENT
=
0
#### HACK ####
#### HACK ####
# Sometimes godep just can't handle things. This lets use manually put
# Sometimes godep just can't handle things. This lets use manually put
# some deps in place first, so godep won't fall over.
# some deps in place first, so godep won't fall over.
...
...
pkg/probe/http/http_test.go
View file @
5cb94cfa
...
@@ -89,7 +89,10 @@ func TestHTTPProbeChecker(t *testing.T) {
...
@@ -89,7 +89,10 @@ func TestHTTPProbeChecker(t *testing.T) {
handleReq
(
FailureCode
,
"fail body"
),
handleReq
(
FailureCode
,
"fail body"
),
nil
,
nil
,
probe
.
Failure
,
probe
.
Failure
,
[]
string
{
fmt
.
Sprintf
(
"HTTP probe failed with statuscode: %d"
,
FailureCode
)},
[]
string
{
fmt
.
Sprintf
(
"HTTP probe failed with statuscode: %d"
,
FailureCode
),
fmt
.
Sprintf
(
"malformed HTTP status code
\"
%d
\"
"
,
FailureCode
),
},
},
},
{
{
func
(
w
http
.
ResponseWriter
,
r
*
http
.
Request
)
{
func
(
w
http
.
ResponseWriter
,
r
*
http
.
Request
)
{
...
...
pkg/probe/tcp/tcp_test.go
View file @
5cb94cfa
...
@@ -66,7 +66,12 @@ func TestTcpHealthChecker(t *testing.T) {
...
@@ -66,7 +66,12 @@ func TestTcpHealthChecker(t *testing.T) {
// A connection is made and probing would succeed
// A connection is made and probing would succeed
{
tHost
,
tPort
,
probe
.
Success
,
nil
,
[]
string
{
""
}},
{
tHost
,
tPort
,
probe
.
Success
,
nil
,
[]
string
{
""
}},
// No connection can be made and probing would fail
// No connection can be made and probing would fail
{
tHost
,
-
1
,
probe
.
Failure
,
nil
,
[]
string
{
"unknown port"
,
"Servname not supported for ai_socktype"
,
"nodename nor servname provided, or not known"
}},
{
tHost
,
-
1
,
probe
.
Failure
,
nil
,
[]
string
{
"unknown port"
,
"Servname not supported for ai_socktype"
,
"nodename nor servname provided, or not known"
,
"dial tcp: invalid port"
,
}},
}
}
prober
:=
New
()
prober
:=
New
()
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment